Foreman - Bug #3902

Foreman is unable to create instances with openstack Havana
12/18/2013 09:48 AM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Compute resources - OpenStack
Target version: 1.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1099
Description

Havana requires to select an internal network, until now, in grizzly, it would auto create an interface in every internal network, starting

with Havana this is no longer possible.

Related issues:
Related to Foreman - Bug #6455: No network to select, and OpenStack error not...
Has duplicate Foreman - Bug #7381: OpenStack Plugin uses network name instead...

Resolved 07/01/2014
Duplicate 09/08/2014

Associated revisions

Revision e972c0e6 - 10/01/2014 07:09 AM - Ohad Levy
fixes #3902 - [Openstack] allow selection of internal networks

This patch allows the user to select the internal network when deploying
a new instance in openstack.

In Grizlly, this was done automaticilly, with a nasty side effect, that

all internal networks would get assigned (didnt see that as i had only
one internal network when i was testing), starting in Havana, this is no
longer possible, and the vm creation is rejected.

as a bonus, we now retain the floating ip selection if the form had an
error.

History

#1 - 12/23/2013 12:44 PM - Ohad Levy
- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1099

#2 - 01/09/2014 02:10 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#3 - 02/06/2014 12:12 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#4 - 03/03/2014 12:48 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#5 - 03/26/2014 12:58 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#6 - 04/24/2014 10:21 AM - Anonymous
https://github.com/theforeman/foreman/pull/1099

- Target version changed from 1.8.4 to 1.8.3

#7 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#8 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#9 - 05/19/2014 12:40 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#10 - 06/06/2014 06:13 AM - Romain Vrignaud

The patch https://gist.github.com/anonymous/67e5c3f6d3cdd1f444cd works well on Icehouse. Not tested on Havana.

The only minor webui problem is that Network tab in host creation still have "Primary Interface" displayed without anything under.
(maybe same behavior with other compute resources type)

#11 - 06/11/2014 02:58 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#12 - 07/01/2014 05:00 AM - Dominic Cleal
- Related to Bug #6455: No network to select, and OpenStack error not propagated properly added

#13 - 07/07/2014 07:19 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#14 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#15 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5to 1.7.4

#16 - 09/09/2014 03:09 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/1099 added

#17 - 09/10/2014 05:05 AM - Dominic Cleal
- Has duplicate Bug #7381: OpenStack Plugin uses network name instead of UUID, causing error added

#18 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#19 - 09/26/2014 07:10 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - OpenStack

#20 - 09/30/2014 10:33 AM - Dominic Cleal

- Target version changed from 1.7.3to 1.7.2

#21 - 10/01/2014 08:02 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e972c0e6740e92e3cc595ab14d4fb6a2567aalfs.

#22 - 10/02/2014 05:30 AM - Dominic Cleal

- translation missing: en.field_release set to 21
https://gist.github.com/anonymous/67e5c3f6d3cdd1f444cd
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e972c0e6740e92e3cc595ab14d4fb6a2567aa1f5
